Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 9 Mar 2021 11:48:29 +0100
From:      Matthias Fechner <idefix@fechner.net>
To:        freebsd-questions@freebsd.org
Subject:   Re: Gitlab-ce upgrade 13.8.4_1 -> 13.9.1 fails
Message-ID:  <001f185f-835f-da9d-a7b0-85b0d56a8609@fechner.net>
In-Reply-To: <8D2A049B-EDE9-4A11-AEB3-AA5112141F42@boosten.org>
References:  <8D2A049B-EDE9-4A11-AEB3-AA5112141F42@boosten.org>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Am 09.03.2021 um 08:03 schrieb Peter Boosten via freebsd-questions:
> Hi all,
>
> Upgrading gitlab-ce (installed and upgraded with pkg) fails with a segmentation fault
>
> /usr/local/lib/ruby/gems/2.7/gems/gitaly-13.9.0.pre.rc1/ruby/proto/gitaly/lint_pb.rb:8: [BUG] Segmentation fault at 0x0000000010534f90
> ruby 2.7.2p137 (2020-10-01 revision 5445e04352) [amd64-freebsd12]
>
> Not sure where I should look for this issue. My first hunch is that the ruby gem-gitaly does this (13.8.0.pre.rc2_1 -> 13.9.0.pre.rc1)
>
> Anyone else experiencing this? If yes, did you solve it, and how?

just make sure you use the latest available version(13.9.2_2), the 
problem should be fixed:

https://www.freshports.org/www/gitlab-ce/


Gruß
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?001f185f-835f-da9d-a7b0-85b0d56a8609>